Bug 1096704 - Review Request: python-bintrees - Binary-, RedBlack- and AVL-Trees in Python and Cython
Summary: Review Request: python-bintrees - Binary-, RedBlack- and AVL-Trees in Python ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-12 09:39 UTC by Robert Kuska
Modified: 2016-04-18 10:17 UTC (History)
3 users (show)

Fixed In Version: python-bintrees-2.0.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 05:32:21 UTC
mstuchli: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Robert Kuska 2014-05-12 09:39:11 UTC
Spec URL: http://rkuska.fedorapeople.org/pkgs/python-bintrees.spec
SRPM URL: http://rkuska.fedorapeople.org/pkgs/python-bintrees-2.0.1-1.fc20.src.rpm
Description: This Python package provides Binary- RedBlack- and AVL-Trees written  in Python and Cython/C. This Classes are much slower than the built-in 
*dict* class, but all iterators/generators yielding data in sorted key order. Trees can be uses as drop in replacement for *dicts* in most cases.
Fedora Account System Username: rkuska

Comment 1 Matej Stuchlik 2014-05-12 09:45:58 UTC
I'll take this.

Comment 2 Matej Stuchlik 2014-05-14 10:54:31 UTC
I'm getting a bunch of errors from rpmlint, we should get rid of those, first:

python3-bintrees.x86_64: W: spelling-error %description -l en_US dicts -> ducts, dicta, dict
python3-bintrees.x86_64: E: non-executable-script /usr/lib64/python3.3/site-packages/bintrees/rbtree.    py 0644L /usr/bin/env
python3-bintrees.x86_64: E: non-executable-script /usr/lib64/python3.3/site-packages/bintrees/treesli    ce.py 0644L /usr/bin/env
python3-bintrees.x86_64: E: non-executable-script /usr/lib64/python3.3/site-packages/bintrees/abctree    .py 0644L /usr/bin/env
python3-bintrees.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python3.3/site-packages/bint    rees/abctree.py
python3-bintrees.x86_64: E: non-executable-script /usr/lib64/python3.3/site-packages/bintrees/bintree    .py 0644L /usr/bin/env
python3-bintrees.x86_64: E: non-executable-script /usr/lib64/python3.3/site-packages/bintrees/__init_    _.py 0644L /usr/bin/env
python3-bintrees.x86_64: E: non-standard-executable-perm /usr/lib64/python3.3/site-packages/bintrees/    cython_trees.cpython-33m.so 0775L
python3-bintrees.x86_64: E: non-executable-script /usr/lib64/python3.3/site-packages/bintrees/avltree    .py 0644L /usr/bin/env
python-bintrees.x86_64: W: spelling-error %description -l en_US dicts -> ducts, dicta, dict
python-bintrees.x86_64: E: non-executable-script /usr/lib64/python2.7/site-packages/bintrees/treeslic    e.py 0644L /usr/bin/env
python-bintrees.x86_64: E: non-executable-script /usr/lib64/python2.7/site-packages/bintrees/__init__    .py 0644L /usr/bin/env
python-bintrees.x86_64: E: non-executable-script /usr/lib64/python2.7/site-packages/bintrees/abctree.    py 0644L /usr/bin/env
python-bintrees.x86_64: E: wrong-script-end-of-line-encoding /usr/lib64/python2.7/site-packages/bintr    ees/abctree.py
python-bintrees.x86_64: E: non-executable-script /usr/lib64/python2.7/site-packages/bintrees/bintree.    py 0644L /usr/bin/env
python-bintrees.x86_64: E: non-executable-script /usr/lib64/python2.7/site-packages/bintrees/rbtree.p    y 0644L /usr/bin/env
python-bintrees.x86_64: E: non-executable-script /usr/lib64/python2.7/site-packages/bintrees/avltree.    py 0644L /usr/bin/env
python-bintrees.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/bintrees/c    ython_trees.so 0775L
2 packages and 0 specfiles checked; 16 errors, 2 warnings.

Comment 3 Robert Kuska 2014-05-27 07:52:01 UTC
I have updated the specfile and srpmfile.

Comment 4 Matej Stuchlik 2014-05-29 09:47:47 UTC
Looks good now, approved.

Comment 5 Robert Kuska 2014-06-02 09:48:56 UTC
New Package SCM Request
=======================
Package Name: python-bintrees
Short Description: Binary-, RedBlack- and AVL-Trees in Python and Cython
Upstream URL: http://bitbucket.org/mozman/bintrees
Owners: rkuska
Branches: f20
InitialCC:

Comment 6 Gwyn Ciesla 2014-06-02 11:53:29 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2014-06-04 12:29:46 UTC
python-bintrees-2.0.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-bintrees-2.0.1-1.fc20

Comment 8 Fedora Update System 2014-06-05 04:23:47 UTC
python-bintrees-2.0.1-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 9 Fedora Update System 2014-06-13 05:32:21 UTC
python-bintrees-2.0.1-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.